package com.sino.rrs.entity;

/**
 * 当前页  每页显示行数  总页数   总数量
 */
public class Pager {
	
	public static final int page_size=2;  //默认每页显示数
	
	public static final int page_num=1;  //默认页数
	
	private int page;  //页数
	
	private int limit=page_size;  //每页显示数
	
	private int totalPageNum;	//总页数
	
	private int totalCount;   //总数
	
//	private List<T> rows=new ArrayList<T>();  //分页信息
	
	private int start;  //分页计算起始值
	
	private int endIndex;  //分页计算结束值

	
	public int getPage() {
		return page;
	}

	public void setPage(int page) {
		this.page = page;
	}

	public int getLimit() {
		return limit;
	}

	public void setLimit(int limit) {
		this.limit = limit;
	}

	public int getTotalPageNum() {
		return totalPageNum;
	}

	public void setTotalPageNum(int totalPageNum) {
		this.totalPageNum = totalPageNum;
	}

	public int getTotalCount() {
		return totalCount;
	}

	public void setTotalCount(int totalCount) {
		this.totalCount = totalCount;
	}


	public int getStart() {
		if(page==1){
			
		}
		return start;
	}

	public void setStart(int start) {
		this.start = start;
	}

	public int getEndIndex() {
		return endIndex;
	}

	public void setEndIndex(int endIndex) {
		this.endIndex = endIndex;
	}
	
	
	

}
